# Tree class

inherited from: | Object
protocols: | AutoRelease
package: | core
declared in: | core/interface/Tree.tcl
implemented in: | core/implementation/Tree.tcl

- instance variables
  - @childs
  - @nodes
  - @properties
  - root
  - rootChilds
  - separator
- instance selectors
  - add:
  - addFull:
  - allChilds
  - allChildsOf:
  - childsOf:
  - clear
  - contains:
  - format:
  - levelOf:
  - loadFromDirectory:
  - loadFromFile:
  - loadFromTree:
  - nodeNameOf:
  - parentOf:
  - property:of:
  - property:of:to:
  - remove:
  - root
  - root:
  - saveToFile:
  - separator
  - separator: